#ifndef _KEYBOARD_H_INCLUDED
#define _KEYBOARD_H_INCLUDED

/* QNT - keyboard.h - Keyboard input class. */


#define WIN32_LEAN_AND_MEAN
#include <windows.h>


class Keyboard
{
    HANDLE hConsoleInput;
    DWORD fdwMode;
    BOOL meta, top;
    char altnum;
    DWORD autosave;

    void map( Buffer *, WORD, CHAR, DWORD );
    void keydown( Buffer *, WORD, CHAR, DWORD );
    void keyup( Buffer *, WORD );

public:
    Keyboard();
    ~Keyboard();
    BOOL emptyP();
    void poll( Buffer * );
    BOOL yesnoP();
};

extern Keyboard keyboard;


#endif
